storagebox_account: "u469968"
storagebox_user: "{{ storagebox_account }}-sub4"
storagebox_url: "https://{{ storagebox_user }}.your-storagebox.de/"
storagebox_mount_point: "/mnt/storagebox"
storagebox_password: "{{ vault_storagebox_password }}"
storagebox_uid: "1000"
storagebox_gid: "1000"
storagebox_dir_mode: "0777"
storagebox_file_mode: "0666"
storagebox_managed_directories:
  - path: "{{ storagebox_mount_point }}/db"
    mode: "0777"
  - path: "{{ storagebox_mount_point }}/ssl"
    mode: "0777"
  - path: "{{ storagebox_mount_point }}/swag"
    mode: "0777"
  - path: "{{ storagebox_mount_point }}/swag/dns-conf"
    mode: "0777"
  - path: "{{ storagebox_mount_point }}/swag/site-confs"
    mode: "0777"
  - path: "{{ storagebox_mount_point }}/swag/proxy-confs"
    mode: "0777"
  - path: "{{ storagebox_mount_point }}/swag/certbot"
    mode: "0777"
  - path: "{{ storagebox_mount_point }}/precipitation/images"
    mode: "0755"
iklim_password: "{{ vault_iklim_password }}"
swarm_manager_ip: "10.10.10.11"
admin_allowed_cidrs: "78.187.87.109/32 95.70.151.248/32"
admin_ssh_public_key_path: "~/.ssh/id_rsa.pub"
timezone: "Europe/Istanbul"

# WireGuard
# Her client için: name, public_key, allowed_ips
# public_key: client makinasında `wg genkey | tee client.key | wg pubkey` ile üretilir
wireguard_clients:
  - name: murat-inspiron-15-3525
    public_key: "8nYHZvSwxCr2uwOYohLG3DlC85NbVNhKnPxYtOEKvE0="
    allowed_ips: 10.8.0.2/32

# DB Stack
db_postgres_image: "postgis/postgis:18-3.6"
db_mongo_image: "mongo:8.3.2"
db_postgres_root_user: "{{ vault_postgres_root_user }}"
db_postgres_password: "{{ vault_postgres_password }}"
db_mongo_root_user: "{{ vault_mongo_root_user }}"
db_mongo_root_password: "{{ vault_mongo_root_password }}"
